EnumCompletionVisitor (groovy 2.4.9 API)
Date: 2017-02-24

Package: org.codehaus.groovy.classgen

## [Java] Class EnumCompletionVisitor

- org.codehaus.groovy.classgen.EnumCompletionVisitor

- Enums have a parent constructor with two arguments from java.lang.Enum. This visitor adds those two arguments into manually created constructors and performs the necessary super call.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `EnumCompletionVisitor (CompilationUnit cu, SourceUnit su)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `addMapConstructors(ClassNode enumClass, boolean hasNoArg)`
    `` | `protected SourceUnit` | `getSourceUnit()`
    `` | `void` | `visitClass(ClassNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassCodeVisitorSupport` | `visitField, visitMethod, visitReturnStatement, visitConstructor, visitProperty, visitPackage, visitAssertStatement, visitTryCatchFinally, visitContinueStatement, visitBreakStatement, visitThrowStatement, visitSynchronizedStatement, visitBlockStatement, visitExpressionStatement, visitCaseStatement, visitCatchStatement, visitDeclarationExpression, visitIfElse, visitSwitch, visitWhileLoop, visitDoWhileLoop, visitForLoop, visitClass, visitAnnotations, visitImports, visitPropertyExpression, visitConstantExpression, visitClassExpression, visitListExpression, visitArgumentlistExpression, visitVariableExpression, visitTupleExpression, visitMethodCallExpression, visitClosureExpression, visitFieldExpression, visitBitwiseNegationExpression, visitBytecodeExpression, visitRangeExpression, visitPostfixExpression, visitArrayExpression, visitNotExpression, visitCastExpression, visitBooleanExpression, visitStaticMethodCallExpression, visitTernaryExpression, visitMapExpression, visitSpreadMapExpression, visitUnaryPlusExpression, visitSpreadExpression, visitPrefixExpression, visitUnaryMinusExpression, visitShortTernaryExpression, visitConstructorCallExpression, visitMethodPointerExpression, visitGStringExpression, visitClosureListExpression, visitAttributeExpression, visitBinaryExpression, visitMapEntryExpression, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class CodeVisitorSupport` | `visitPropertyExpression, visitConstantExpression, visitClassExpression, visitReturnStatement, visitListExpression, visitArgumentlistExpression, visitVariableExpression, visitAssertStatement, visitTryCatchFinally, visitContinueStatement, visitBreakStatement, visitThrowStatement, visitSynchronizedStatement, visitBlockStatement, visitTupleExpression, visitMethodCallExpression, visitExpressionStatement, visitCaseStatement, visitClosureExpression, visitFieldExpression, visitBitwiseNegationExpression, visitBytecodeExpression, visitRangeExpression, visitPostfixExpression, visitArrayExpression, visitNotExpression, visitCastExpression, visitBooleanExpression, visitStaticMethodCallExpression, visitTernaryExpression, visitMapExpression, visitSpreadMapExpression, visitCatchStatement, visitDeclarationExpression, visitUnaryPlusExpression, visitSpreadExpression, visitPrefixExpression, visitUnaryMinusExpression, visitShortTernaryExpression, visitConstructorCallExpression, visitMethodPointerExpression, visitGStringExpression, visitClosureListExpression, visitAttributeExpression, visitBinaryExpression, visitMapEntryExpression, visitIfElse, visitSwitch, visitWhileLoop, visitDoWhileLoop, visitForLoop, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public EnumCompletionVisitor(CompilationUnit cu, SourceUnit su)

  - ### Method Detail

    - #### public static void addMapConstructors(ClassNode enumClass, boolean hasNoArg)

    - #### protected SourceUnit getSourceUnit()

    - #### public void visitClass(ClassNode node)